Subject: [AVT] Fwd: I-D Action:draft-zimmermann-avt-zrtp-08.txt

From: Colin Perkins <[email-masked]>
Date: Mon, 20 Oct 2008 19:43:15 +0100

Section 9.3 of this draft states:

>    When voice is compressed with a variable bit-rate (VBR) codec, the
>    packet lengths vary depending on the types of sounds being
>    compressed.  This leaks a lot of information about the content even
>    if the packets are encrypted, regardless of what encryption  
> protocol
>    is used [Wright1].  It is RECOMMENDED that VBR codecs be avoided in
>    encrypted calls.  It's not a problem if the codec adapts the bit  
> rate
>    to the available channel bandwidth.  The vulnerable codecs are the
>    ones that change their bit rate depending on the type of sound  
> being
>    compressed.
>
>    It also appears that voice activity detection (VAD) leaks  
> information
>    about the content of the conversation, but to a lesser extent than
>    VBR.  This effect can be ameliorated by lengthening the VAD  
> hangover
>    time by about 1 to 2 seconds, if this is feasible in your
>    application.  This is a topic that requires further study.

This guidance seems applicable to anything using SRTP, and not just  
systems that are keyed using ZRTP. It might be useful to break it out  
into a (short) separate draft, updating the security considerations  
section of RFC 3711, to try to ensure that all SRTP implementations  
take it into account.

Colin

Begin forwarded message:
> From: [email-masked]
> Date: 23 September 2008 14:30:01 BDT
> To: [email-masked]
> Subject: I-D Action:draft-zimmermann-avt-zrtp-08.txt
> Reply-To: [email-masked]
>
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
>
> 	Title           : ZRTP: Media Path Key Agreement for Secure RTP
> 	Author(s)       : P. Zimmermann, et al.
> 	Filename        : draft-zimmermann-avt-zrtp-08.txt
> 	Pages           : 91
> 	Date            : 2008-09-23
>
> This document defines ZRTP, a protocol for media path Diffie-Hellman
> exchange to agree on a session key and parameters for establishing
> Secure Real-time Transport Protocol (SRTP) sessions.  The ZRTP
> protocol is media path keying because it is multiplexed on the same
> port as RTP and does not require support in the signaling protocol.
> ZRTP does not assume a Public Key Infrastructure (PKI) or require the
> complexity of certificates in end devices.  For the media session,
> ZRTP provides confidentiality, protection against man-in-the-middle
> (MITM) attacks, and, in cases where a secret is available from the
> signaling protocol, authentication.  ZRTP can utilize a Session
> Description Protocol (SDP) attribute to provide discovery and
> authentication through the signaling channel.  To provide best effort
> SRTP, ZRTP utilizes normal RTP/AVP profiles.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-zimmermann-avt-zrtp-08.txt

-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt